# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TDBSqlArrowLayout

Packages that use TDBSqlArrowLayout
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TDBSqlArrowLayout in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TDBSqlArrowLayout in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TDBSqlArrowLayout`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TDBSqlArrowLayout
Modifier and Type
Field
Description
`TDBSqlArrowLayout`
TDBSqlArrowFormat.`arrowLayout`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TDBSqlArrowLayout
Modifier and Type
Method
Description
`static TDBSqlArrowLayout`
TDBSqlArrowLayout.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TDBSqlArrowLayout`
TDBSqlArrowFormat.`getArrowLayout()`
`static TDBSqlArrowLayout`
TDBSqlArrowLayout.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TDBSqlArrowLayout[]`
TDBSqlArrowLayout.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlArrowLayout
Modifier and Type
Method
Description
`TDBSqlArrowFormat`
TDBSqlArrowFormat.`setArrowLayout(TDBSqlArrowLayout arrowLayout)`